<script>
import simplebar from "simplebar-vue";
import config from "../config";
export default {
    components: { simplebar },
    data() {
        return {
            config: config
        };
    },
    methods: {
        logout() {
            if (confirm("Are you sure you want to logout?")) {
                if(localStorage.removeItem('token')  == undefined ){
                    this.$auth.logout()
                    this.$router.push({ name: "login" });
                }
            }
        }
    }
};
</script>
<template>
    <div>
        <div class="align-items-center justify-content-between flex-column admin-notify">
            <div class="d-flex align-items-center justify-content-between">
                <div>
                    <b-dropdown lazy variant="black" toggle-class="header-item user-profile-main">
                        <template v-slot:button-content>
                            <img class="rounded-circle header-profile-user" :src="config.appurl + 'food_flat_icon_16904421299610.png'" alt="Header Avatar" />
                            <span class="d-none d-xl-inline-block ml-1">Ressto</span>
                            <i class="mdi mdi-chevron-down d-none d-xl-inline-block"></i>
                        </template>
                        <b-dropdown-item to="/profile" >
                            <i class="bx bx-user font-size-16 align-middle mr-1"></i>
                            {{ trans.get('__JSON__.Profile') }}
                        </b-dropdown-item>
                        <b-dropdown-item @click="logout" class="text-danger">
                            <i class="bx bx-power-off font-size-16 align-middle mr-1 text-danger"></i> Logout
                            <!-- <a href="javascript:void(0)" @click="logout" class="text-danger">
                            </a> -->
                        </b-dropdown-item>
                    </b-dropdown>
                </div>
            </div>
        </div>
    </div>
</template>

<style>
.dropdown-menu .dropdown-menu-right {
    margin: 10px -15px;
}

.admin-notify .dropdown-toggle span {
    max-width: 13ch;
    white-space: break-spaces;
    text-align: left;
}

.admin-notify .dropdown-toggle {
    display: flex;
    align-items: center;
}

.header-profile-user {
    flex-shrink: 0;
}

.nw-quick-hlp-btn {
    font-size: 14px;
    margin: 11px;
}

.nw-quick-hlp-btn a {
    margin-left: 20px;
}
</style>